Loading...
Searching...
No Matches
hueplusplus::LightStateBuilder Class Reference

Builder to create LightState. More...

`#include <hueplusplus/Scene.h>`

## Public Member Functions

LightStateBuilder & | setOn (bool on)
LightStateBuilder & | setBrightness (int brightness)
LightStateBuilder & | setHueSat (const HueSaturation &hueSat)
LightStateBuilder & | setXY (const XY &xy)
LightStateBuilder & | setCt (int mired)
LightStateBuilder & | setColorloop (bool enabled)
LightStateBuilder & | setTransitionTime (int time)
LightState | create ()

## Detailed Description

Builder to create LightState.

## Member Function Documentation

## create()

LightState hueplusplus::LightStateBuilder::create | ( |  | ) |

## setBrightness()

LightStateBuilder & hueplusplus::LightStateBuilder::setBrightness | ( | int | brightness | ) |

## setColorloop()

LightStateBuilder & hueplusplus::LightStateBuilder::setColorloop | ( | bool | enabled | ) |

## setCt()

LightStateBuilder & hueplusplus::LightStateBuilder::setCt | ( | int | mired | ) |

## setHueSat()

LightStateBuilder & hueplusplus::LightStateBuilder::setHueSat | ( | const HueSaturation & | hueSat | ) |

## setOn()

LightStateBuilder & hueplusplus::LightStateBuilder::setOn | ( | bool | on | ) |

## setTransitionTime()

LightStateBuilder & hueplusplus::LightStateBuilder::setTransitionTime | ( | int | time | ) |

## setXY()

LightStateBuilder & hueplusplus::LightStateBuilder::setXY | ( | const XY & | xy | ) |

The documentation for this class was generated from the following files:

- include/hueplusplus/Scene.h
- src/Scene.cpp